javafx.beans.property.adapter

## Interface ReadOnlyJavaBeanProperty<T>

- All Superinterfaces:
    Observable, ObservableValue<T>, ReadOnlyProperty<T>
  All Known Subinterfaces:
    JavaBeanProperty<T>
  All Known Implementing Classes:
    JavaBeanBooleanProperty, JavaBeanDoubleProperty, JavaBeanFloatProperty, JavaBeanIntegerProperty, JavaBeanLongProperty, JavaBeanObjectProperty, JavaBeanStringProperty, ReadOnlyJavaBeanBooleanProperty, ReadOnlyJavaBeanDoubleProperty, ReadOnlyJavaBeanFloatProperty, ReadOnlyJavaBeanIntegerProperty, ReadOnlyJavaBeanLongProperty, ReadOnlyJavaBeanObjectProperty, ReadOnlyJavaBeanStringProperty

      public interface ReadOnlyJavaBeanProperty<T>
      extends ReadOnlyProperty<T>

  `JavaBeanProperty&lt;T&gt;` is the super interface of all adapters between readonly Java Bean properties and JavaFX properties.
  Since:
    JavaFX 2.1

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dispose()` Signals to the JavaFX property that it will not be used anymore and any references can be removed.
    `void` | `fireValueChangedEvent()` This method can be called to notify the adapter of a change of the Java Bean value, if the Java Bean property is not bound (i.e.

    - ### Methods inherited from interface javafx.beans.property.ReadOnlyProperty

      `getBean, getName`

    - ### Methods inherited from interface javafx.beans.value.ObservableValue

      `addListener, getValue, removeListener`

    - ### Methods inherited from interface javafx.beans.Observable

      `addListener, removeListener`

- - ### Method Detail

    - #### fireValueChangedEvent

          void fireValueChangedEvent()

      This method can be called to notify the adapter of a change of the Java Bean value, if the Java Bean property is not bound (i.e. it does not support PropertyChangeListeners).

    - #### dispose

          void dispose()

      Signals to the JavaFX property that it will not be used anymore and any references can be removed. A call of this method usually results in the property stopping to observe the Java Bean property by unregistering its listener(s).

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 2008, 2019, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.